package com.xunhong.erp.turbo.api.infra.api;

import com.xunhong.erp.turbo.api.infra.dto.cmd.AgreementCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.AgreementDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.AgreementUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.AgreementListQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.AgreementPageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.AgreementShowQry;
import com.xunhong.erp.turbo.api.infra.dto.vo.AgreementVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface AgreementServiceI {
	AgreementVO create(AgreementCreateCmd agreementCreateCmd);

	PageDTO<AgreementVO> page(AgreementPageQry agreementPageQry);

	List<AgreementVO> list(AgreementListQry agreementListQry);

	AgreementVO update(AgreementUpdateCmd agreementUpdateCmd);

	AgreementVO show(AgreementShowQry agreementShowQry);

	void destroy(AgreementDestroyCmd agreementDestroyCmd);
}

